#ifndef NAUSEA_H
#define NAUSEA_H


#include <string>
#include <vector>
#include <map>
#include <fstream>
#include <algorithm>

typedef std::string tstr;


// 

class pair
{
	public:
	tstr word;
	unsigned int count;
	bool operator<(const pair& p) const
	{
                return count > p.count;
	}
};

typedef std::vector<pair> pvector;

//  

typedef std::map<tstr,int> tforms;

typedef std::map<tstr,tforms> twords;

tstr getword(tstr& s);
int total(tforms& f);

#include "norm.h"

class tdocument
{
	public:
		tdocument(tstr s="");
		tstr detag(tstr s="");
		tstr descript(tstr s="");
		tstr destyle(tstr s="");
		tstr deshit(tstr s="");
		pvector getsorted();
		pvector getforms(tstr s);
		tforms& operator [](const tstr& s)
		{
			return words[s];
		}

	private:
		static tstr allowedchars;
		tstr body;
		twords words;
};

typedef std::map<tstr,tdocument> tdocuments;

#endif
