#ifndef SETTINGSWINDOW_H
#define SETTINGSWINDOW_H

#include <QtGui>

#include "settings.h"

class SettingsWindow : public QDialog
{
    Q_OBJECT

public:
    SettingsWindow(QWidget *parent = 0);
    ~SettingsWindow();
    QLineEdit *proxy;
    QLineEdit *port;
    QLineEdit *proxyuser;
    QLineEdit *proxypass;
    QPushButton *okbutton;

    Q::Settings *settings;

private:
    void setupWidgets();

protected:
    void closeEvent(QCloseEvent *event);

};

#endif
